
function mudfish_adclean_bcc8fd828d18879e637cd3f4dbdf597d() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`header ~ .vod:has(a[href*="/links/bannerlink/"])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_bcc8fd828d18879e637cd3f4dbdf597d();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_bcc8fd828d18879e637cd3f4dbdf597d();
  });
}
